package com.banesco.infrastructure.dtos.osb;


import io.quarkus.runtime.annotations.RegisterForReflection;

import java.util.ArrayList;
import java.util.List;


@RegisterForReflection
public class MsgRsHdr {


    protected String privateChannelId;

    protected String finalStatusRequest;

    protected String countDataOut;

    protected String headerTypeReg;

    protected String detailTypeReg;

    protected String transactionCode;

    protected String supervisorCode;

    protected String operationType;

    protected String transactionConsecutive;

    protected String detailReg;

    protected List<String> registerNumber;

    protected String transactionType;

    protected String requestId;

    protected String requestedOperationType;

    protected String messageDate;

    protected String transactionTime;

    protected String lastStatusRequest;

    protected String returnValue;

    protected String requestStatus;

    protected String messageTime;

    protected String transacctionDate;

    protected String requestNumber;

    protected String appName;

    /**
     * Gets the value of the privateChannelId property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getPrivateChannelId() {
        return privateChannelId;
    }

    /**
     * Sets the value of the privateChannelId property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setPrivateChannelId(String value) {
        this.privateChannelId = value;
    }

    /**
     * Gets the value of the finalStatusRequest property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getFinalStatusRequest() {
        return finalStatusRequest;
    }

    /**
     * Sets the value of the finalStatusRequest property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setFinalStatusRequest(String value) {
        this.finalStatusRequest = value;
    }

    /**
     * Gets the value of the countDataOut property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getCountDataOut() {
        return countDataOut;
    }

    /**
     * Sets the value of the countDataOut property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setCountDataOut(String value) {
        this.countDataOut = value;
    }

    /**
     * Gets the value of the headerTypeReg property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getHeaderTypeReg() {
        return headerTypeReg;
    }

    /**
     * Sets the value of the headerTypeReg property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setHeaderTypeReg(String value) {
        this.headerTypeReg = value;
    }

    /**
     * Gets the value of the detailTypeReg property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getDetailTypeReg() {
        return detailTypeReg;
    }

    /**
     * Sets the value of the detailTypeReg property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setDetailTypeReg(String value) {
        this.detailTypeReg = value;
    }

    /**
     * Gets the value of the transactionCode property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getTransactionCode() {
        return transactionCode;
    }

    /**
     * Sets the value of the transactionCode property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTransactionCode(String value) {
        this.transactionCode = value;
    }

    /**
     * Gets the value of the supervisorCode property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getSupervisorCode() {
        return supervisorCode;
    }

    /**
     * Sets the value of the supervisorCode property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setSupervisorCode(String value) {
        this.supervisorCode = value;
    }

    /**
     * Gets the value of the operationType property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getOperationType() {
        return operationType;
    }

    /**
     * Sets the value of the operationType property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setOperationType(String value) {
        this.operationType = value;
    }

    /**
     * Gets the value of the transactionConsecutive property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getTransactionConsecutive() {
        return transactionConsecutive;
    }

    /**
     * Sets the value of the transactionConsecutive property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTransactionConsecutive(String value) {
        this.transactionConsecutive = value;
    }

    /**
     * Gets the value of the detailReg property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getDetailReg() {
        return detailReg;
    }

    /**
     * Sets the value of the detailReg property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setDetailReg(String value) {
        this.detailReg = value;
    }

    /**
     * Gets the value of the registerNumber property.
     *
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the Jakarta XML Binding object.
     * This is why there is not a <CODE>set</CODE> method for the registerNumber property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getRegisterNumber().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link String }
     */
    public List<String> getRegisterNumber() {
        if (registerNumber == null) {
            registerNumber = new ArrayList<String>();
        }
        return this.registerNumber;
    }

    /**
     * Gets the value of the transactionType property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getTransactionType() {
        return transactionType;
    }

    /**
     * Sets the value of the transactionType property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTransactionType(String value) {
        this.transactionType = value;
    }

    /**
     * Gets the value of the requestId property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getRequestId() {
        return requestId;
    }

    /**
     * Sets the value of the requestId property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setRequestId(String value) {
        this.requestId = value;
    }

    /**
     * Gets the value of the requestedOperationType property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getRequestedOperationType() {
        return requestedOperationType;
    }

    /**
     * Sets the value of the requestedOperationType property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setRequestedOperationType(String value) {
        this.requestedOperationType = value;
    }

    /**
     * Gets the value of the messageDate property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getMessageDate() {
        return messageDate;
    }

    /**
     * Sets the value of the messageDate property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setMessageDate(String value) {
        this.messageDate = value;
    }

    /**
     * Gets the value of the transactionTime property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getTransactionTime() {
        return transactionTime;
    }

    /**
     * Sets the value of the transactionTime property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTransactionTime(String value) {
        this.transactionTime = value;
    }

    /**
     * Gets the value of the lastStatusRequest property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getLastStatusRequest() {
        return lastStatusRequest;
    }

    /**
     * Sets the value of the lastStatusRequest property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setLastStatusRequest(String value) {
        this.lastStatusRequest = value;
    }

    /**
     * Gets the value of the returnValue property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getReturnValue() {
        return returnValue;
    }

    /**
     * Sets the value of the returnValue property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setReturnValue(String value) {
        this.returnValue = value;
    }

    /**
     * Gets the value of the requestStatus property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getRequestStatus() {
        return requestStatus;
    }

    /**
     * Sets the value of the requestStatus property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setRequestStatus(String value) {
        this.requestStatus = value;
    }

    /**
     * Gets the value of the messageTime property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getMessageTime() {
        return messageTime;
    }

    /**
     * Sets the value of the messageTime property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setMessageTime(String value) {
        this.messageTime = value;
    }

    /**
     * Gets the value of the transacctionDate property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getTransacctionDate() {
        return transacctionDate;
    }

    /**
     * Sets the value of the transacctionDate property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setTransacctionDate(String value) {
        this.transacctionDate = value;
    }

    /**
     * Gets the value of the requestNumber property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getRequestNumber() {
        return requestNumber;
    }

    /**
     * Sets the value of the requestNumber property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setRequestNumber(String value) {
        this.requestNumber = value;
    }

    /**
     * Gets the value of the appName property.
     *
     * @return possible object is
     * {@link String }
     */
    public String getAppName() {
        return appName;
    }

    /**
     * Sets the value of the appName property.
     *
     * @param value allowed object is
     *              {@link String }
     */
    public void setAppName(String value) {
        this.appName = value;
    }

}
